# -*- coding: us-ascii -*-
"""Redis NRPE class module."""
from contrailnrpe.contrailbase import ContrailNrpeBase


class RedisNrpe(ContrailNrpeBase):
    """Class for installing the Redis NRPE plugin."""

    SHORTNAME = "redis"
    SUDOERS_FILE = "99-check_redis_nagios"

    def install(self):
        """Install the plugin."""
        super(RedisNrpe, self).install()
        self._install_sudoer()
